
# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v5.013.
use strict;
use warnings;



use ExtUtils::MakeMaker 6.30;



my %WriteMakefileArgs = (
  "ABSTRACT" => "A collection of tools for the analysis of CLIP-Seq data.",
  "AUTHOR" => "Emmanouil \"Manolis\" Maragkakis <mns.marag\@gmail.com>, Panagiotis Alexiou <pan.alexiou\@gmail.com>",
  "BUILD_REQUIRES" => {},
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => "6.30"
  },
  "DISTNAME" => "CLIPSeqTools",
  "EXE_FILES" => [
    "bin/annotate_db_sample_with_deletions.pl",
    "bin/annotate_db_sample_with_rmsk.pl",
    "bin/annotate_db_sample_with_transcript_info.pl",
    "bin/count_tags_per_genic_element.pl",
    "bin/distribution_on_genic_elements.pl",
    "bin/distribution_on_introns_exons.pl",
    "bin/genome_coverage.pl",
    "bin/genomic_distribution.pl",
    "bin/libraries_overlap_stats.pl",
    "bin/libraries_relative_read_density.pl",
    "bin/load_sam_to_sqlite_database.pl",
    "bin/nmer_enrichment_over_shuffled.pl",
    "bin/normalize_tables_with_UQ.pl",
    "bin/plot_distribution_on_genic_elements.R",
    "bin/plot_distribution_on_introns_exons.R",
    "bin/plot_genomic_distribution.R",
    "bin/plot_libraries_relative_read_density.R"
  ],
  "LICENSE" => "perl",
  "NAME" => "CLIPSeqTools",
  "PREREQ_PM" => {
    "DBD::SQLite" => 0,
    "DBI" => 0,
    "Data::Table" => 0,
    "File::Path" => 0,
    "File::Spec" => 0,
    "File::Temp" => 0,
    "GenOO" => "v1.4.2",
    "GenOO::Data::File::BED" => 0,
    "GenOO::Data::File::SAM" => 0,
    "GenOO::GeneCollection::Factory" => 0,
    "GenOO::RegionCollection::Factory" => 0,
    "GenOO::TranscriptCollection::Factory" => 0,
    "GenOOx::Data::File::SAMbwa" => 0,
    "GenOOx::Data::File::SAMstar" => 0,
    "Getopt::Long" => 0,
    "List::Util" => 0,
    "Math::Round" => 0,
    "Modern::Perl" => 0,
    "PDL" => "2.007",
    "Pod::Usage" => 0,
    "Try::Tiny" => 0,
    "autodie" => 0
  },
  "TEST_REQUIRES" => {},
  "VERSION" => "0.0.1",
  "test" => {
    "TESTS" => ""
  }
);


my %FallbackPrereqs = (
  "DBD::SQLite" => 0,
  "DBI" => 0,
  "Data::Table" => 0,
  "File::Path" => 0,
  "File::Spec" => 0,
  "File::Temp" => 0,
  "GenOO" => "v1.4.2",
  "GenOO::Data::File::BED" => 0,
  "GenOO::Data::File::SAM" => 0,
  "GenOO::GeneCollection::Factory" => 0,
  "GenOO::RegionCollection::Factory" => 0,
  "GenOO::TranscriptCollection::Factory" => 0,
  "GenOOx::Data::File::SAMbwa" => 0,
  "GenOOx::Data::File::SAMstar" => 0,
  "Getopt::Long" => 0,
  "List::Util" => 0,
  "Math::Round" => 0,
  "Modern::Perl" => 0,
  "PDL" => "2.007",
  "Pod::Usage" => 0,
  "Try::Tiny" => 0,
  "autodie" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);



